#!/usr/bin/make -f
# Sample debian/rules that uses cdbs.  Originaly written by Robert Millan.
# This file is public domain.

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- --includedir=/usr/include/fem

override_dh_compress:
	dh_compress --exclude=.pdf

override_dh_autoreconf:
	libtoolize
	autoreconf -fi -I admin/

override_dh_auto_build-indep:
	doxygen freefem.doxygen
#	cd freefem-api/latex && make

	cd doc && pdflatex freefem && makeindex freefem && pdflatex freefem && pdflatex freefem
	cd doc && \
		rm -rf freefem && \
		mkdir freefem && \
		hevea -fix -o freefem/freefem.hevea freefem.tex && \
		cd freefem && \
		hacha freefem.hevea && \
		rm -f freefem.hevea *.haux *.hind *.htoc

override_dh_clean:
	dh_clean
	rm -rf doc/freefem
	rm -rf freefem-api/html
	rm -rf freefem-api/latex
	rm -rf freefem-api/man

override_dh_installchangelogs:
	dh_installchangelogs NEWS
